import { EpochMillis } from "@upload-io/upload-shared-iso";
import { EpochDays, EpochMonths } from "../common/model/Primitives";
export declare class IsoTimeUtils {
    static toEpochDay(time: EpochMillis): EpochDays;
    static toEpochMonth(time: EpochMillis): EpochMonths;
    static trimEpochKeys<T>(getEpochUnit: (time: EpochMillis) => number, now: EpochMillis, keepLastNUnits: number, months: {
        [epochValue: number]: T;
    }): {
        [epochValue: number]: T;
    };
}
